<div class="row m-0 pb-2 d-flex align-items-center">
    <div class="col-12 col-lg-9 py-3 px-0 d-lg-flex align-items-center d-none d-lg-block">
        <!--  type dropdown -->
        <div class="col-12 col-lg-2 mb-3 mb-lg-0">
            <div class="gray-select p-0">
                <div class="select-container">
                    <mat-form-field class="font-16-imp font-weight-medium w-100" floatLabel="never">
                        <span matSuffix class="d-flex">
                            <mat-icon>keyboard_arrow_down</mat-icon>
                        </span>
                        <mat-select placeholder="Violation Types" multiple class="font-17 font-weight-medium">
                            <mat-option *ngFor="let docType of ViolationTypes" [value]="docType.id">
                                {{docType.name}}
                            </mat-option>
                        </mat-select>
                    </mat-form-field>
                </div>
            </div>
        </div>

        <!-- Owner dropdown -->
        <div class="col-12 col-lg-2 mb-3 mb-lg-0">
            <div class="gray-select p-0">
                <div class="select-container">
                    <mat-form-field class="font-16-imp font-weight-medium w-100" floatLabel="never">
                        <span matSuffix class="d-flex">
                            <mat-icon>keyboard_arrow_down</mat-icon>
                        </span>
                        <mat-select placeholder="Owner">
                            <mat-option *ngFor="let OwnerItem of Owner" [value]="OwnerItem.id">
                                {{OwnerItem.name}}
                            </mat-option>
                        </mat-select>
                    </mat-form-field>
                </div>
            </div>
        </div>

        <!-- Status dropdown-->

        <div class="col-12 col-lg-2 mb-3 mb-lg-0">
            <div class="gray-select p-0">
                <div class="select-container">
                    <mat-form-field class="font-16-imp font-weight-medium w-100" floatLabel="never">
                        <span matSuffix class="d-flex">
                            <mat-icon>keyboard_arrow_down</mat-icon>
                        </span>
                        <mat-select placeholder="Status">
                            <mat-option *ngFor="let StatusItem of Status" [value]="StatusItem.id">
                                {{StatusItem.name}}
                            </mat-option>
                        </mat-select>
                    </mat-form-field>
                </div>
            </div>
        </div>
    </div>


    <!-- search textbox -->
    <div class="col-12 col-lg-3 ml-auto">
        <mat-form-field floatLabel="never">
            <span matPrefix class="mx-2">
                <fa-icon [icon]="faSearch" class="text-color-mid-gray"></fa-icon>
            </span>
            <label>
                <input type="text" [(ngModel)]="searchQuery" (keyup)="applyFilter($event)" matInput
                    placeholder="Search Investigation name or No. ">
            </label>
            <div class="close-search cursor-pointer" *ngIf="searchQuery" (click)="searchQuery = '';RestFilters()">
                <fa-icon [icon]="faTimes" class=" text-color-onyx "></fa-icon>
            </div>
        </mat-form-field>
    </div>
    <div class="col-12 d-block d-lg-none">
        <button class="filters-btn coral ml-auto mb-2">
            <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" id="Group_4497"
                data-name="Group 4497" width="19.167" height="11.5" viewBox="0 0 19.167 11.5" class="mr-3">
                <defs>
                    <clipPath id="clip-path">
                        <path id="Path_3419" data-name="Path 3419"
                            d="M15.333-8.187v1.917H7.667V-8.187Zm2.875-4.792v1.917H4.792v-1.917Zm2.875-4.792v1.917H1.917v-1.917Z"
                            transform="translate(-1.917 17.771)" fill="#ff375e" clip-rule="evenodd" />
                    </clipPath>
                    <clipPath id="clip-path-2">
                        <path id="Path_3418" data-name="Path 3418" d="M0-1H23V-24H0Z" transform="translate(0 24)"
                            fill="#ff375e" />
                    </clipPath>
                </defs>
                <g id="Group_4484" data-name="Group 4484">
                    <g id="Group_4483" data-name="Group 4483" clip-path="url(#clip-path)">
                        <g id="Group_4482" data-name="Group 4482" transform="translate(-1.917 -6.229)"
                            clip-path="url(#clip-path-2)">
                            <path id="Path_3417" data-name="Path 3417" d="M-3.083-22.771H26.083v21.5H-3.083Z"
                                transform="translate(0 24)" fill="#ff375e" />
                        </g>
                    </g>
                </g>
            </svg>
            <span class="font-md-16 font-weight-normal">
                Filter
            </span>
        </button>
    </div>
</div>
<div class="table-container col-12">
    <div class="overflow-auto my-parent-selector"  infiniteScroll [infiniteScrollDistance]="1" [infiniteScrollThrottle]="1500"
        (scrolled)="sortChangeEmitter.emit()">
        <table [dataSource]="dataSource" matSort mat-table matSortActive="createdDate" matSortDirection="desc"
            class="primary-table tablesaw " data-tablesaw-mode="swipe" data-tablesaw-minimap>
            <ng-container matColumnDef="SpeckUpName">
                <th mat-header-cell *matHeaderCellDef mat-sort-header> Speck up name</th>
                <td mat-cell data-tablesaw-sortable-col data-tablesaw-priority="persist" *matCellDef="let element"> {{element.SpeckUpName}} </td>
            </ng-container>
            <ng-container matColumnDef="SpeckUp">
                <th mat-header-cell *matHeaderCellDef mat-sort-header> Speck up #. </th>
                <td mat-cell data-tablesaw-sortable-col *matCellDef="let element"> {{element.SpeckUp}} </td>
            </ng-container>

            <ng-container matColumnDef="Status">
                <th mat-header-cell *matHeaderCellDef mat-sort-header> Status </th>
                <td mat-cell data-tablesaw-sortable-col *matCellDef="let element"><span class="status {{element.Status}}">
                        {{element.Status}}</span> </td>
            </ng-container>
            <ng-container matColumnDef="ViolationTypes">
                <th mat-header-cell *matHeaderCellDef mat-sort-header> Violation Types </th>
                <td mat-cell data-tablesaw-sortable-col *matCellDef="let element"> {{element.ViolationTypes}} </td>
            </ng-container>

            <!-- Column actions -->
            <ng-container matColumnDef="actions">
                <th mat-header-cell *matHeaderCellDef mat-sort-header>Actions</th>
                <td mat-cell data-tablesaw-sortable-col *matCellDef="let element">
                    <div class="d-flex  mb-2 mb-md-0 pl-0">
                        <!-- Confirm btn -->
                        <button mat-button
                            class="btn button-primary font-16 font-md-13 font-weight-medium  d-inline-flex flex-grow-0 align-items-center p-0 mr-2"
                            [routerLink]="['/report-info']">

                            Confirm {{element.actions}}

                        </button>

                        <!-- Reject button -->
                        <button mat-button
                            class="btn button-secondary font-16 font-md-13 font-weight-medium  d-inline-flex flex-grow-0 align-items-center p-0 mr-2">

                            Reject

                        </button>

                        <button mat-button
                            class="btn button-secondary font-16 font-md-13 font-weight-medium  d-inline-flex flex-grow-0 align-items-center p-0 mr-2">

                            Assign to GM

                        </button>

                    </div>
                </td>
            </ng-container>

            <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
            <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
        </table>
    </div>
</div>